<?php

namespace App\Http\Requests\Admin\ContractSetting;

class UpdateContractSettingRequest extends StoreContractSettingRequest
{
    public function rules(): array
    {
        $rules = parent::rules();
        $rules['key'] = ['required', 'string', 'max:255', 'unique:contract_settings,key,' . $this->route('contract_setting')->id];

        return $rules;
    }
}
